Skip to main content
GET
/
finops
/
v1
/
analytics
/
transactions
Get transaction analytics
curl --request GET \
  --url https://api.sandbox.tesouro.com/finops/v1/analytics/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'x-finops-version: <x-finops-version>' \
  --header 'x-organization-id: <x-organization-id>'
{
  "data": [
    {
      "metric_value": 123,
      "dimension_value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Query Parameters

dimension
enum<string>
Available options:
expense_status,
payment_processing_status,
created_at
metric
enum<string>
required
Available options:
id,
amount
aggregation_function
enum<string>
required
Available options:
count,
average,
summary,
min,
max
date_dimension_breakdown
enum<string>
Available options:
daily,
weekly,
monthly,
quarterly,
yearly
limit
integer
default:100
Required range: 1 <= x <= 400
has_validation_errors
boolean
created_at__gt
string<date-time>

Created after this datetime (exclusive)

created_at__lt
string<date-time>

Created before this datetime (exclusive)

updated_at__gt
string<date-time>

Updated after this datetime (exclusive)

updated_at__lt
string<date-time>

Updated before this datetime (exclusive)

started_at__gt
string<date-time>

Transaction started after this datetime (exclusive)

started_at__lt
string<date-time>

Transaction started before this datetime (exclusive)

payment_processing_status__in
enum<string>[]

One or multiple of the transaction statuses

Available options:
created,
processing,
succeeded,
declined,
refunded,
failed
type__in
enum<string>[]

One or multiple of the transaction types

Available options:
capture,
refund,
cash_withdrawal,
fee,
adjustment,
reversal
entity_user_id__in
string<uuid>[]

One or multiple of the entity users

external_id__in
string[]

One or multiple of the transaction external ids

amount__gt
integer

Amount greater than (exclusive)

amount__lt
integer

Amount less than (exclusive)

currency__in
enum<string>[]

One or multiple of the transaction currencies

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
SVC,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
merchant_amount__gt
integer

Merchant amount greater than (exclusive)

merchant_amount__lt
integer

Merchant amount less than (exclusive)

merchant_currency__in
enum<string>[]

One or multiple of the transaction merchant currencies

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
SVC,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XCD,
XOF,
XPF,
YER,
ZAR,
ZMW
merchant_name__icontains
string

Partially matched merchant name

payment_method
enum<string>

Payment method type of the transaction

Available options:
card,
bank_account
payment_method__in
enum<string>[]

One or multiple of the payment method types

Available options:
card,
bank_account
expense_status
enum<string>

Filter by expense status

Available options:
new,
approve_in_progress,
approved,
rejected,
canceled
expense_status__in
enum<string>[]

One or multiple expense statuses

Available options:
new,
approve_in_progress,
approved,
rejected,
canceled

Response

Successful Response

data
object[]
required